Upstream information

CVE-2005-2096 at MITRE

Description

zlib 1.2 and later versions allows remote attackers to cause a denial of service (crash) via a crafted compressed stream with an incomplete code description of a length greater than 1, which leads to a buffer overflow, as demonstrated using a crafted PNG file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 131538, 436137 [CLOSED / WONTFIX], 94926, 95512 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE LINUX 9.1 for IA32
SUSE LINUX 9.1 for x86-64
  • perl-Compress-Zlib >= 1.33-30.4
SUSE LINUX 9.2
  • perl-Compress-Zlib >= 1.33-32.2
SUSE LINUX 9.3
  • perl-Compress-Zlib >= 1.34-4.2
SUSE LINUX 9.1 for IA32
  • zlib >= 1.2.1-70.9
  • zlib-devel >= 1.2.1-70.9
SUSE LINUX 9.1 for x86-64
  • zlib >= 1.2.1-70.9
  • zlib-32bit >= 9.1-200507042050
  • zlib-devel >= 1.2.1-70.9
  • zlib-devel-32bit >= 9.1-200507042050
SUSE LINUX 9.2
  • zlib >= 1.2.1-74.2
  • zlib-32bit >= 9.2-200507042003
  • zlib-devel >= 1.2.1-74.2
  • zlib-devel-32bit >= 9.2-200507042003
SUSE LINUX 9.3
  • zlib >= 1.2.2-5.2
  • zlib-32bit >= 9.3-7.1
  • zlib-devel >= 1.2.2-5.2
  • zlib-devel-32bit >= 9.3-7.1
Novell Linux Desktop 9 for x86
Novell Linux Desktop 9 for x86_64
Open Enterprise Server
  • zlib >= 1.2.1-70.12
  • zlib-devel >= 1.2.1-70.12
suse91.ppc
suse91.ia64
suse91.s390
suse91.x86
YOU Patch Nr: 10347
Novell Linux Desktop 9 for x86
Novell Linux Desktop 9 for x86_64
Open Enterprise Server
  • zlib >= 1.2.1-70.9
  • zlib-devel >= 1.2.1-70.9
suse91.ppc
suse91.x86
suse91.ia64
suse91.s390
YOU Patch Nr: 10287
Novell Linux Desktop 9 for x86
Novell Linux Desktop 9 for x86_64
Open Enterprise Server
  • perl-Compress-Zlib >= 1.33-30.4
suse91.ia64
suse91.x86
suse91.s390
suse91.ppc
YOU Patch Nr: 10292
SUSE LINUX 9.1 for IA32
  • zlib >= 1.2.1-70.12
  • zlib-devel >= 1.2.1-70.12
SUSE LINUX 9.1 for x86-64
  • zlib >= 1.2.1-70.12
  • zlib-32bit >= 9.1-200507231731
  • zlib-devel >= 1.2.1-70.12
  • zlib-devel-32bit >= 9.1-200507231731
SUSE LINUX 9.2
  • zlib >= 1.2.1-74.4
  • zlib-32bit >= 9.2-200507230712
  • zlib-devel >= 1.2.1-74.4
  • zlib-devel-32bit >= 9.2-200507230712
SUSE LINUX 9.3
  • zlib >= 1.2.2-5.4
  • zlib-32bit >= 9.3-7.2
  • zlib-devel >= 1.2.2-5.4
  • zlib-devel-32bit >= 9.3-7.2
openSUSE Tumbleweed
  • httrack >= 3.48.22-1.3
  • httrack-devel >= 3.48.22-1.3
  • libhttrack2 >= 3.48.22-1.3
Patchnames:
openSUSE Tumbleweed GA httrack